%define date		20140831
%define time		2245
%define tarname		%{name}-snapshot-%{date}-%{time}-stable

%define major		142
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

Name: 		x264
Version: 	0.%{major}
Release: 	%mkrel -c %{date}.stable 4
Summary: 	H264/AVC encoder
License: 	GPLv2+
Group: 		Video/Utilities
URL: 		http://www.videolan.org/developers/x264.html
Source0: 	ftp://ftp.videolan.org/pub/videolan/x264/snapshots/%{tarname}.tar.bz2
Patch1:		x264-use-upstream-opt-level.diff
Patch2:		x264-gpac-link.patch

BuildRequires:	ffmpeg-devel
BuildRequires:	git-core
BuildRequires:	gpac-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	yasm

%description
x264 is a free library for encoding H264/AVC video streams. The code
is written by Laurent Aimar, Eric Petit(OS X), Min Chen (vfw/nasm),
Justin Clay(vfw), Måns Rullgård and Loren Merritt from scratch. It is
released under the terms of the GPL license.

This package is in tainted repository as the video encoder may be covered
by software patents.

#------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Shared library of x264
Group:		System/Libraries

%description -n %{libname}
x264 dynamic libraries.

#------------------------------------------------------------------------

%package -n	%{develname}
Summary:	H264/AVC encoding library headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Obsoletes:	%mklibname -d %{name}_ 54

%description -n %{develname}
x264 is a free library for encoding H264/AVC video streams. The code
is written by Laurent Aimar, Eric Petit(OS X), Min Chen (vfw/nasm),
Justin Clay(vfw), Måns Rullgård and Loren Merritt from scratch. It is
released under the terms of the GPL license.

#------------------------------------------------------------------------
%prep
%setup -q -n %{tarname}
perl -pi -e 's|usr/local|usr||g' configure
%patch1 -p0
%patch2 -p1 -b .gpac-link

%build
%configure2_5x \
		--enable-shared \
		--system-libx264 \
		--enable-pic

%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS doc/*
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/libx264.so.%{major}*

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}*.h
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Nov 15 2014 cjw <cjw> 0.142-0.20140831.stable.4.mga5
+ Revision: 797307
- rebuild for ffmpeg 2.4
- patch2: fix linking against gpac (static library)
- drop non-existing configuration option
- build the x264 tool against the libx264 shared library

* Wed Oct 15 2014 umeabot <umeabot> 0.142-0.20140831.stable.3.mga5.tainted
+ Revision: 742610
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.142-0.20140831.stable.2.mga5.tainted
+ Revision: 690533
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0.142-0.20140831.stable.1.mga5.tainted
+ Revision: 670579
- new snapshot 20140831

* Sun Mar 30 2014 daviddavid <daviddavid> 0.142-0.20140329.stable.1.mga5.tainted
+ Revision: 610444
- disable static libs (Mageia don't want these)
- update URL
- prefer use pkgconfig on BR
- new snapshot 20140329 (major is now 142)

* Mon Feb 17 2014 luigiwalser <luigiwalser> 0.140-0.20140216.stable.1.mga5.tainted
+ Revision: 593263
- new snapshot 20140216 (major is now 140)

* Thu Oct 31 2013 tmb <tmb> 0.133-0.20130823.stable.2.mga4.tainted
+ Revision: 548293
- Mageia 4 rebuild

* Sat Aug 24 2013 luigiwalser <luigiwalser> 0.133-0.20130823.stable.1.mga4.tainted
+ Revision: 470942
- new snapshot 20130823 (major is now 133)

* Tue Aug 13 2013 fwang <fwang> 0.130-0.20130615.stable.4.mga4.tainted
+ Revision: 466084
- rebuild for new ffmpeg

* Mon Jun 17 2013 luigiwalser <luigiwalser> 0.130-0.20130615.stable.3.mga4.tainted
+ Revision: 443855
- new snapshot 20130615 (major is now 130)

* Mon Jan 14 2013 umeabot <umeabot> 0.125-0.20120914.stable.3.mga3.tainted
+ Revision: 386403
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.125-0.20120914.stable.2.mga3.tainted
+ Revision: 341769
- update rpm group
- rebuild for new ffmpeg

* Sat Sep 15 2012 fwang <fwang> 0.125-0.20120914.stable.1.mga3.tainted
+ Revision: 294210
- new snapshot

* Wed Mar 07 2012 anssi <anssi> 0.120-0.20120306.stable.1.mga2.tainted
+ Revision: 221318
- new snapshot
- switch to stable branch

* Wed Jan 11 2012 luigiwalser <luigiwalser> 0.120-0.20111212.2.mga2.tainted
+ Revision: 194833
- use configure2_5x macro
- don't override upstream optimization level -O3

* Tue Dec 13 2011 fwang <fwang> 0.120-0.20111212.1.mga2.tainted
+ Revision: 181275
- new major
- use master
- new snapshot 20111212

* Fri Jun 24 2011 fwang <fwang> 0.115-0.20110623.1.mga2.tainted
+ Revision: 112932
- build static libs
- new snapshot required by ffmpeg 0.8

* Sat May 07 2011 mikala <mikala> 0.110-0.20101203.2.mga1
+ Revision: 95796
- Clean Spec
- Remove plf reference
- imported package x264

